Subject: Re: Accounting for metapages in genericcostestimate()

From: Tom Lane <[email-masked]>
Date: Wed, 30 Apr 2025 09:46:07 -0400

=?utf-8?Q?=C3=81lvaro?= Herrera <[email-masked]> writes:
> On 2025-Apr-28, Tom Lane wrote:
>> +	BlockNumber numNonLeafPages;	/* # of index pages that are not leafs */

> I find the use of "leafs" as plural for "leaf" a bit strange ...
> We already have uses of that word, but I wonder if they don't mostly
> or exclusively come from non-native English speakers.

Yeah, "leaves" would be correct, but I wondered whether that'd confuse
non-native speakers more.  Happy to change it though.

			regards, tom lane